| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwIMAGIC.cpp File Reference

Functions for reading and writing Image Science's Imagic files. More...

`#include "rwIMAGIC.h"`
`#include "file_util.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
View | view_from_imagic_euler (IMAGIChead *header)
int | imagic_euler_from_view (IMAGIChead *header, View view)
int | readIMAGIC (Bimage *p, int readdata, int img_select)
| Reading an IMAGIC image format. A 2D file format for the IMAGIC package. The header is stored in a separate file with extension ".hed" and a fixed size of 1024 bytes per image. The image data is stored in a single block in a file with the extension ".img". Machine stamp (4 bytes or integer): VAX/VMS 1 0 0 0 (16777216) Little endian 2 2 2 2 (33686018) Big endian 4 4 4 4 (67372036) Byte order determination: Year and hour values must be less than 256*256. Data types: PACK = byte, INTG = short, REAL = float, RECO,COMP = complex float. Transform type: Centered (COMP data type) RECO is not a transform Note that the x and y dimensions are interchanged (actually a display issue). More...
int | writeIMAGIC (Bimage *p)
| Writing an IMAGIC image format. A file format for the IMAGIC package. More...

## Variables
int | verbose

## Detailed Description

Functions for reading and writing Image Science's Imagic files.

Author
  Bernard Heymann

Date
  Created: 19990424
  Modified: 20180329

Definition in file rwIMAGIC.cpp.

## Function Documentation

## ◆ imagic_euler_from_view()

int imagic_euler_from_view | ( | IMAGIChead * | header,
|  | View | view
| ) |  |

Definition at line 31 of file rwIMAGIC.cpp.

## ◆ readIMAGIC()

int readIMAGIC | ( | Bimage * | p,
|  | int | readdata,
|  | int | img_select
| ) |  |

Reading an IMAGIC image format. A 2D file format for the IMAGIC package. The header is stored in a separate file with extension ".hed" and a fixed size of 1024 bytes per image. The image data is stored in a single block in a file with the extension ".img". Machine stamp (4 bytes or integer): VAX/VMS 1 0 0 0 (16777216) Little endian 2 2 2 2 (33686018) Big endian 4 4 4 4 (67372036) Byte order determination: Year and hour values must be less than 256*256. Data types: PACK = byte, INTG = short, REAL = float, RECO,COMP = complex float. Transform type: Centered (COMP data type) RECO is not a transform Note that the x and y dimensions are interchanged (actually a display issue).

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.
  img_select | image selection in multi-image file (-1 = all images).

Returns
  int error code (<0 means failure).

Definition at line 65 of file rwIMAGIC.cpp.

## ◆ view_from_imagic_euler()

View view_from_imagic_euler | ( | IMAGIChead * | header | ) |

Definition at line 16 of file rwIMAGIC.cpp.

## ◆ writeIMAGIC()

int writeIMAGIC | ( | Bimage * | p | ) |

Writing an IMAGIC image format. A file format for the IMAGIC package.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 246 of file rwIMAGIC.cpp.

## Variable Documentation

## ◆ verbose

int verbose